Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSetType

Builds a particular `PetscDualSpace` based on its `PetscDualSpaceType`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetType(PetscDualSpace sp, PetscDualSpaceType name)

Collective

## Input Parameters

- sp - The `PetscDualSpace` object

- name - The kind of space

## Options Database Key

- -petscdualspace_type <type> - Sets the PetscDualSpace type; use -help for a list of available types

## See Also

`PetscDualSpace`, `PetscDualSpaceType`, `PetscDualSpaceGetType()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

## Examples

src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages